### Method

# Handy Carousel scroll_to

since: 1.0

#### Declaration [src]

    void
    hdy_carousel_scroll_to (
      HdyCarousel* self,
      GtkWidget* widget
    )

#### Description [src]

Scrolls to `widget` position with an animation.

`HdyCarousel:animation-duration` property can be used for controlling the duration.

Available since: 1.0

#### Parameters

`widget`

  Type: `GtkWidget`

  A child of `self`.

  The data is owned by the caller of the method.